SDL_CreateSurface(3)

NAME
SDL_CreateSurface - Allocate a new surface with a specific pixel format.

SYNOPSIS
#include <SDL3/SDL_surface.h>

SDL_Surface * SDL_CreateSurface(int width, int height, SDL_PixelFormat format);

DESCRIPTION
The pixels of the new surface are initialized to zero.

FUNCTION PARAMETERS

width
    the width of the surface.

height
    the height of the surface.

format
    the SDL_PixelFormat for the new surface's pixel format.

RETURN VALUE
Returns the new SDL_Surface structure that is created or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateSurfaceFrom(3), SDL_DestroySurface(3)